﻿Public Class MainForm

    Private Sub btnOpenFile_Click(sender As Object, e As EventArgs) Handles btnOpenFile.Click
        OpenFileDialog1.Title = "Select a Flie"
        OpenFileDialog1.FileName = ""
        OpenFileDialog1.Filter = "All Files (*.*)|*.*"
        OpenFileDialog1.FilterIndex = 1

        If OpenFileDialog1.ShowDialog() <> Windows.Forms.DialogResult.Cancel Then
            txtSource.Text = OpenFileDialog1.FileName
        Else
            txtSource.Text = ""
        End If
    End Sub

    Private Sub btnCreateBackup_Click(sender As Object, e As EventArgs) Handles btnCreateBackup.Click

        Dim strBackupFilename As String = txtSource.Text

        If strBackupFilename.Length = 0 Then
            MessageBox.Show("No file was specified.")
            Exit Sub
        End If

        ' Remove the 3 digit extension
        strBackupFilename = Microsoft.VisualBasic.Left(strBackupFilename, _
                                                        strBackupFilename.Length - 3)

        ' Add BAK as the new extension
        strBackupFilename = strBackupFilename & "BAK"

        ' Create a copy.
        System.IO.File.Copy(txtSource.Text, strBackupFilename)
        MessageBox.Show("The back-up of the file has been made.")
    End Sub
End Class
