﻿Module DrawingModule
    Public Sub OpenPicture()
        Try


            ' Show the open file dialog box.
            If ViewerForm.ofdSelectPicture.ShowDialog = Windows.Forms.DialogResult.OK Then

                ' Load the picture into the picture box.
                ViewerForm.picShowPicture.Image = _
                    Image.FromFile(ViewerForm.ofdSelectPicture.FileName)

                ' Show the name of the file in the statusbar.
                ViewerForm.sbrMyStatusStrip.Items(0).Text = _
                    ViewerForm.ofdSelectPicture.FileName

                UpdateLog(ViewerForm.ofdSelectPicture.FileName)

            End If

        Catch ex As System.OutOfMemoryException
            MessageBox.Show("The file you have chosen is not an image file.")
        End Try

    End Sub

    Private Sub UpdateLog(ByVal strFileName As String)
        Dim objFile As New System.IO.StreamWriter( _
            System.AppDomain.CurrentDomain.BaseDirectory() & "\PictureLog.txt", _
            True)

        objFile.WriteLine(Today() & " " & strFileName)
        objFile.Close()
        objFile.Dispose()

    End Sub

    Public Sub DrawBorder(ByRef objPicturebox As PictureBox)
        Dim objGraphics As Graphics
        objGraphics = objPicturebox.Parent.CreateGraphics
        objGraphics.Clear(SystemColors.Control)

        objGraphics.DrawRectangle(Pens.Blue, _
                                  objPicturebox.Left - 1, objPicturebox.Top - 1, _
                                  objPicturebox.Width + 1, objPicturebox.Height + 1)

        objGraphics.Dispose()
    End Sub
End Module
